# BEGIN SourceDeps(oneline):
BuildRequires: perl(AnyEvent.pm) perl(AnyEvent/HTTP.pm) perl(CPAN.pm) perl(Carp.pm) perl(Config.pm) perl(Cwd.pm) perl(DateTime/Format/ISO8601.pm) perl(Encode.pm) perl(ExtUtils/MM_Unix.pm) perl(ExtUtils/MakeMaker.pm) perl(ExtUtils/Manifest.pm) perl(Fcntl.pm) perl(File/Basename.pm) perl(File/Find.pm) perl(File/Spec.pm) perl(FileHandle.pm) perl(HTTP/Headers.pm) perl(HTTP/Request.pm) perl(HTTP/Response.pm) perl(JSON.pm) perl(LWP/Simple.pm) perl(LWP/UserAgent.pm) perl(MIME/Base64.pm) perl(Math/BigInt.pm) perl(Module/Build.pm) perl(Net/FTP.pm) perl(Parse/CPAN/Meta.pm) perl(Socket.pm) perl(Sub/Name.pm) perl(Test/More.pm) perl(Test/NoWarnings.pm) perl(Test/Pod/Coverage.pm) perl(WWW/Curl/Easy.pm) perl(XML/Hash/LX.pm) perl(XML/LibXML.pm) perl(YAML/Tiny.pm) perl(base.pm) perl(inc/Module/Install.pm) perl(lib/abs.pm)
# END SourceDeps(oneline)
%define module_version 0.8
%define module_name XML-RPC-Fast
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.8
Release: alt1
Summary: Fast and modular implementation for an XML-RPC client and server
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/M/MO/MONS/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
XML::RPC::Fast is format-compatible with XML::RPC, but may use different encoders to parse/compose xml.
Curerntly included encoder uses the XML::LibXML manpage, and is 3 times faster than XML::RPC and 75%% faster, than XML::Parser implementation


%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README LICENSE Changes README.pod
%perl_vendor_privlib/X*

%changelog
* Mon Sep 30 2013 Igor Vlasenko <viy@altlinux.ru> 0.8-alt1
- initial import by package builder

